Bug 1249629 - [QA](6.4.z) PersistentIntervalTimerManagementTestCase fails on slower machine
[QA](6.4.z) PersistentIntervalTimerManagementTestCase fails on slower machine
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Testsuite (Show other bugs)
6.4.3
Unspecified Unspecified
unspecified Severity medium
: CR1
: EAP 6.4.13
Assigned To: Petr Kremensky
Peter Mackay
:
Depends On:
Blocks: eap6413-payload
  Show dependency treegraph
 
Reported: 2015-08-03 08:52 EDT by Marek Kopecky
Modified: 2017-02-03 11:43 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-03 11:43:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Kopecky 2015-08-03 08:52:22 EDT
Description of problem:
org.jboss.as.test.integration.ejb.timerservice.mgmt.PersistentIntervalTimerManagementTestCase#testSuspendAndTrigger fails 
occasionally with "Timer should fire twice! expected:<2> but was:<3>"

Version-Release number of selected component (if applicable):
6.4.3.CP.CR1

How reproducible:
10%, with higher CPU load or slower machine

Steps to Reproduce:
1. ./integration-tests.sh -Dts.noSmoke -Dts.basic -Dtest=PersistentIntervalTimerManagementTestCase

Actual results:
Timer should fire twice! expected:<2> but was:<3>
java.lang.AssertionError: Timer should fire twice! expected:<2> but was:<3>
	at org.junit.Assert.fail(Assert.java:88)
	at org.junit.Assert.failNotEquals(Assert.java:743)
	at org.junit.Assert.assertEquals(Assert.java:118)
	at org.junit.Assert.assertEquals(Assert.java:555)
	at org.jboss.as.test.integration.ejb.timerservice.mgmt.AbstractTimerManagementTestCase.testSuspendAndTrigger(AbstractTimerManagementTestCase.java:149)
	at org.jboss.as.test.integration.ejb.timerservice.mgmt.PersistentIntervalTimerManagementTestCase.testSuspendAndTrigger(PersistentIntervalTimerManagementTestCase.java:73)

Expected results:
No failures in test case.
Comment 4 Petr Kremensky 2015-11-25 03:24:21 EST
Another case where this could fail, I'll create a new PR addressing this as well.

java.lang.AssertionError: Timer should fire once! expected:<1> but was:<2>
	at org.junit.Assert.fail(Assert.java:88)
	at org.junit.Assert.failNotEquals(Assert.java:743)
	at org.junit.Assert.assertEquals(Assert.java:118)
	at org.junit.Assert.assertEquals(Assert.java:555)
	at org.jboss.as.test.integration.ejb.timerservice.mgmt.AbstractTimerManagementTestCase.testSuspendAndTrigger(AbstractTimerManagementTestCase.java:146)
	at org.jboss.as.test.integration.ejb.timerservice.mgmt.PersistentCalendarTimerManagementTestCase.testSuspendAndTrigger(PersistentCalendarTimerManagementTestCase.java:73)
Comment 6 Mike McCune 2016-03-28 19:19:36 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 14 Peter Mackay 2017-01-17 03:14:13 EST
Verified with EAP 6.4.13.CP.CR2
Comment 15 Petr Penicka 2017-02-03 11:43:39 EST
Released with EAP 6.4.13 on Feb 02 2017.

Note You need to log in before you can comment on or make changes to this bug.